Import Segment

Imports subscribers into a segment from a file or email list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The segment ID

Body Params

Body Params

file
required

CSV File to import. Format: The file must be a CSV file separated by commas. The first row must be the header containing the fields being imported. The first column must be called email and contain the importing emails. Example: email,first_name,last_name then [email protected],example,last name.

boolean
required

True if you want the segment to be cleared before the import. False if you do not want the segment to be cleared, but instead added to.

boolean

Set activeStatus to true for subscriber to be 'Active', false for 'inactive', null or empty is a 'lead'. When subscriptionAction is 'update_only' and activeStatus is null, existing subscription statuses will not be changed.

string
enum

Subscription management action: 'none' (leads only), 'create_only' (new subscriptions only), 'update_only' (existing subscriptions only), 'create_or_update' (both new and existing).

Allowed:
integer

When activeStatus is true or false, define the source campaign that is associated with the created subscriptions. A campaign effort will be created automatically.

integer

When activeStatus is true or false, define the source partner for the campaign effort.

boolean

Whether to create SMS addons for subscribers.

integer

Variable ID containing the phone number for SMS addons.

boolean

Whether to send SMS confirmation messages.

boolean

Whether to suppress funnel events during import.

tagsToAdd
array of integers

Tag IDs to add to subscriptions created or updated by this import.

tagsToAdd
tagsToRemove
array of integers

Tag IDs to remove from subscriptions created or updated by this import.

tagsToRemove
boolean

When true, replaces the subscription's tag set with tagsToAdd instead of merging.

subscriberTagsToAdd
array of integers

Tag IDs to add to the subscriber record (not the subscription).

subscriberTagsToAdd
subscriberTagsToRemove
array of integers

Tag IDs to remove from the subscriber record.

subscriberTagsToRemove
boolean

When true, replaces the subscriber's tag set with subscriberTagsToAdd instead of merging.

subscriptionOptions
object

Additional subscription options merged into the job (e.g. started_at, ended_at, auto_renews).

Responses

422

Invalid subscriptionAction value, or activeStatus was set while subscriptionAction is 'none'.

500

Campaign effort creation failed while preparing the import.

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Choose an example:
application/json